# JMB-Basic-Core

**Basic Core** is an Agent for [Lavish Software](https://www.lavishsoft.com)'s [Joe Multiboxer](https://joemultiboxer.com). Previously a collection of Agents, this new version has been recreated into a cohesive standard, with a new configuration window.

# Features

**Basic Core** provides a simple, standard feature set for multiboxing with Joe Multiboxer, including...
* **Launch Profiles** that identify a game to launch, and Virtual Files for the game, and **a simple Launch button**
* **Performance** and FPS settings to optimize performance across your game windows
* **Highlighting** options help identify game windows, including highlighting the active window when swapping is disabled
* **Window Layouts** either dynamically place your windows in a standard lineup, or use your own custom layout
* **Window Switching Hotkeys** to easily rotate between windows, or pull up specific windows

# Installing Basic Core

The simplest way to install and get started with Basic Core is via Joe Multiboxer's Agent Suggestions window, which pops up when you launch Joe Multiboxer, if no Agents are installed.

The Basic Core version number will be shown in the title of the Basic Core window, found in the main JMB window. If a newer version of Basic Core is ready for download, an `Install Latest Basic Core!` button will be shown at the top of the window.

# Your first time launching

Basic Core is simple to configure, and includes default settings. The easiest way to get started is simply to **use `Add Game` from Joe Multiboxer's right-click menu**, which adds your game to JMB, and will then automatically show up as a `Launch Profile` in Basic Core.

From there, the `Launcher` tab in the Basic Core window (found in the main JMB window) can be used to **select a Launch Profile, and click the `Launch!` button**. 

## Launching Game Clients

When launching game clients, Joe Multiboxer supports rapid launching. The `Launch!` button may be clicked many times in rapid succession to simultaneously launch multiple game clients. This is in contrast to [ISBoxer](https://isboxer.com), which requires a slower paced launch.

## Launching Game Launchers

When launching a game *launcher*, as opposed to launching a game client directly, you will want to use the launcher to launch the game, and then exit the launcher. You may click `Launch!` again once the previous game launcher has exited, to launch the next JMB window. 

* **Tip:** Each process launched by the `Launch!` button is placed in **its own partially sandboxed `Slot` along with any processes it, in turn, launches**. This means that an instance of a Game Launcher launched by JMB should not be used to launch more than one character.

* **Note:** Some games require the launcher to stay open (such as many Steam games); in these cases, the game launcher itself must allow multiple instances. Otherwise, additional work will be needed to sandbox the launcher for the Slot.

# Your first gameplay

With the default settings, your first gameplay with more than one window will use a horizontal Window Layout style, with swapping occurring when clicking or activating a window via hotkey. Rotate forward through game windows with `Ctrl+Alt+X` or backward with `Ctrl+Alt+Z`. Each window can be called up individually by `Ctrl+Alt+1` or `Ctrl+Alt+2` and so on, depending on the window number.

# There's more?

Questions? Requests? More information needed? See what everyone else said before? Just want to say hi?

**Come see us on [ISBoxer Discord](https://discord.gg/ESxEzhs) in the Joe Multiboxing section! We're in `#jmb_help` ready to go!**